Add links is missing in MonoBook
Closed, ResolvedPublic

Description

If a page has no interlanguage links then "Add links" is missing in MonoBook but present in Vector, Cologne Blue and Modern.
Current example:
https://en.wikipedia.org/wiki/Pineau_de_Re?useskin=monobook

If there are interlanguage links then "Edit links" is correctly present in MonoBook. Example:
https://en.wikipedia.org/wiki/Example?useskin=monobook

First reported at
https://en.wikipedia.org/wiki/Wikipedia:Village_pump_%28technical%29#.22Edit_links.22_doesn.27t_appear_anymore_.28with_Monobook.29

Considering the timing, this may be caused by 1.24wmf2.

The above was tested in Firefox, Opera, Safari.
In IE9 I'm missing "Add links" in all skins, but have "Edit links" in all skins.


Version: unspecified
Severity: major

bzimport added a subscriber: wikidata-bugs.
bzimport set Reference to bz64741.
PrimeHunter created this task.Via LegacyMay 2 2014, 10:33 AM
Edokter added a comment.Via ConduitMay 2 2014, 10:54 AM

The issues seems to be resolved in 1.24wmf3 (test.wiki), so may already have been fixed?

Maybe related: bug 62361 / gerrit 117397.

aude added a comment.Via ConduitMay 2 2014, 10:57 AM

I can reproduce the issue on beta wikipedia (http://en.wikipedia.beta.wmflabs.org/) but not on my local test wiki.

That suggests some compatibility issue with another extension or maybe config, and not an issue with gadgets, etc.

aude added a comment.Via ConduitMay 2 2014, 11:00 AM

yep, works for me on test2.wikipedia (e.g. https://test2.wikipedia.org/wiki/0.29259340289161095?useskin=monobook) but concerned about still seeing the issue on beta wikipedia.

matmarex added a comment.Via ConduitMay 10 2014, 12:42 PM
  • Bug 65131 has been marked as a duplicate of this bug. ***
matmarex added a comment.Via ConduitMay 10 2014, 12:42 PM
  • Bug 64992 has been marked as a duplicate of this bug. ***
Pcoombe added a comment.Via ConduitMay 15 2014, 8:55 PM
  • Bug 65359 has been marked as a duplicate of this bug. ***
Superyetkin added a comment.Via ConduitMay 16 2014, 4:56 PM

Any updates? The issue persists on 1.24wmf4...

Lydia_Pintscher added a comment.Via ConduitMay 17 2014, 12:04 PM

Hmm this is weird. I am not seeing the link at all on beta - also with Vector. http://en.wikipedia.beta.wmflabs.org/wiki/Dido_Sotiriou

Config or version difference between beta and test2?

hoo added a comment.Via ConduitMay 18 2014, 3:05 PM

ULS does this (reduced to relevant parts):

$pLang = $( '#p-lang' );
if ( !$pLang.find( 'div ul' ).children().length ) {
if ( mw.config.get( 'skin' ) === 'monobook' ) {

		$pLang.find( 'div.pBody' ).remove();

}
}

There are plenty ways to fix this on both sides, not sure which way we want to have it fixed.

Lydia_Pintscher added a comment.Via ConduitMay 30 2014, 7:48 AM

We need to get this fixed in the next deployment. I don't mind which way we fix it. Editors are getting unhappy :(

gerritbot added a comment.Via ConduitMay 30 2014, 8:49 PM

Change 136453 had a related patch set uploaded by Thiemo Mättig (WMDE):
Keep Monobook skin intact

https://gerrit.wikimedia.org/r/136453

gerritbot added a comment.Via ConduitJun 2 2014, 10:58 AM

Change 136453 merged by jenkins-bot:
Keep Monobook skin intact

https://gerrit.wikimedia.org/r/136453

thiemowmde added a comment.Via ConduitJun 2 2014, 5:31 PM

It's not really possible to fix this on our side without introducing a really, really ugly hack that re-constructs the removed section of the DOM. ULS removed a vital part of the DOM (thanks Hoo for finding out!).

<div ... id="p-lang" ...>

<h3 ...>(otherlanguages)</h3>
<div class="body">
  <ul>
    <li class="uls-p-lang-dummy"><a href="#"></a></li>
  </ul>
  <div class="after-portlet after-portlet-lang">
    <span class="wb-langlinks-edit ..."><a ...>(wikibase-editlinks)</a></span>
  </div>
</div>

</div>

The "after-portlet" part is a bit newer than the ULS code, see Gerrit I099fb2ff48e02a2e3564a484aea906263e40bb53. Which may be the reason why this broke. Our JavaScript replaces the "edit" link with the "add" widget. Which really is how it should be. Simply adding the link to the remaining "p-lang" as a workaround doesn't work. The CSS would be wrong.

bzimport added a comment.Via ConduitJun 6 2014, 3:56 PM

wikirhadamante wrote:

Just a remark, that may be stupid, if so just discard this comment, but there is no such problem on Wikimedia commons, even under monobook. The interface might be slightly different, but pages (at least in the main or in categories) without interwiki offer the possibility to add some (e.g.: https://commons.wikimedia.org/wiki/Beamish_Museum:_Home_Farm).
Clicking on the link "add links" opens a pop-up interface to select a wikipedia version, and then the target page (by the way a similar system was working -under monobook, maybe still working under vector - on fr.wikipedia, better to my mind than the system on en.wikipedia that just sends you directly to the wikidata page).

thiemowmde added a comment.Via ConduitJun 6 2014, 7:25 PM

(In reply to Rhadamante from comment #14)

there is no such problem on Wikimedia commons

Log out first to see the problem.

Please note that the bug is fixed in the software but it takes some time to deploy it to the servers.

JAnD added a comment.Via ConduitJun 13 2014, 6:36 AM

Option for adding is now present again, but does not work.
Even if I type langcode and wait for long time, the second field is still grey and is unable to select correct language and all link

JAnD added a comment.Via ConduitJun 13 2014, 6:37 AM

Created attachment 15643
screenshot of gray field

Attached:

Aklapper added a comment.Via ConduitJun 13 2014, 10:12 AM

(In reply to JAn Dudík from comment #16)

Option for adding is now present again, but does not work.
Even if I type langcode and wait for long time, the second field is still
grey and is unable to select correct language and all link

Might be related to bug 66557 instead?

hoo added a comment.Via ConduitJun 13 2014, 12:31 PM

(In reply to Andre Klapper from comment #18)

Might be related to bug 66557 instead?

Indeed, please don't reuse old bugs just because they cover the same component.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.